Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024426
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-07-29 15:472013-08-12 12:50
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision47d99947b751
ProjectionnoneETAnoneTarget VersionRMP26
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP24SCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024426: The tickets paid in credit should not be displayed as paid

DescriptionThe tickets paid in credit should not be displayed as paid
Steps To Reproduce-login in web POS and pay one ticket on credit

Verify that if you create the invoice (with invoice this receipt marked) or you print the order you will see the message --> "you have paid" instead of "pay on credit" fro example
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0023878RMP26 closedmarvintm Text paid wrongly appears when i reopen the receipt which is paid using credit option 
has duplicate defect 0024442 closedguilleaer RMP25: When a receipt is paid through Credit option, in the print ticket Paid Label is used instead of Paid (on Credit) 
has duplicate defect 0024449 closedguilleaer RMP25: when i reopen the receipt( gross amount:0.00), Paid label wrongly appears as PAID(on credit) 

-  Notes
(0060510)
hgbot (developer)
2013-08-06 10:10

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 47d99947b7514ebf5fd3e20f62aa5581e6910da1
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Aug 06 10:09:52 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/47d99947b7514ebf5fd3e20f62aa5581e6910da1 [^]

fixed issue 24426: A new label is shon in the ticket (receipt and invoice) when the order has been paid using credit

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalcreditsales.js
M web/org.openbravo.retail.posterminal/res/printinvoice.xml
M web/org.openbravo.retail.posterminal/res/printreceipt.xml
---
(0060571)
adrianromero (manager)
2013-08-12 12:50

Reviewed that printed receipts paid on credit now include the message: "Paid (On credit)

- Issue History
Date Modified Username Field Change
2013-07-29 15:47 jecharri New Issue
2013-07-29 15:47 jecharri Assigned To => marvintm
2013-07-29 15:47 jecharri Relationship added related to 0023878
2013-07-31 11:02 guilleaer Relationship added has duplicate 0024442
2013-07-31 13:00 guilleaer Relationship added has duplicate 0024449
2013-08-06 10:10 hgbot Checkin
2013-08-06 10:10 hgbot Note Added: 0060510
2013-08-06 10:10 hgbot Status new => resolved
2013-08-06 10:10 hgbot Resolution open => fixed
2013-08-06 10:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/47d99947b7514ebf5fd3e20f62aa5581e6910da1 [^]
2013-08-12 12:50 adrianromero Review Assigned To => adrianromero
2013-08-12 12:50 adrianromero Note Added: 0060571
2013-08-12 12:50 adrianromero Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker